## blobwars 2.00

=== Makefile ===
PROG = blobwars
PAKNAME = blobwars.pak
DOCS = doc/*
ICONS = icons/
DATA = data gfx sound music

VERSION = 2.00
RELEASE ?= 0
USEPAK ?= 0

PREFIX ?= /usr
BINDIR ?= $(PREFIX)/games/
DATADIR ?= $(PREFIX)/share/games/blobwars/
DOCDIR ?= $(PREFIX)/share/doc/$(PROG)/
ICONDIR ?= $(PREFIX)/share/icons/hicolor/
DESKTOPDIR ?= $(PREFIX)/share/applications/
LOCALEDIR ?= $(PREFIX)/share/locale/
MEDAL_SERVER_HOST = www.parallelrealities.co.uk
MEDAL_SERVER_PORT = 80

CXXFLAGS += `pkg-config --cflags sdl2 SDL2_mixer SDL2_image SDL2_ttf SDL2_net` -DVERSION=$(VERSION) -DRELEASE=$(RELEASE) -DUSEPAK=$(USEPAK)
CXXFLAGS += -DPAKNAME=\"$(PAKNAME)\" -DPAKLOCATION=\"$(DATADIR)\" -DUNIX -DGAMEPLAYMANUAL=\"$(DOCDIR)index.html\" -Wall
CXXFLAGS += -DLOCALEDIR=\"$(LOCALEDIR)\" -DMEDAL_SERVER_HOST=\"$(MEDAL_SERVER_HOST)\" -DMEDAL_SERVER_PORT=$(MEDAL_SERVER_PORT)
CXXFLAGS += $(CFLAGS) -Werror
LIBS = `pkg-config --libs sdl2 SDL2_mixer SDL2_image SDL2_ttf SDL2_net` -lz
PAKLIBS = -lz

OBJS += CAudio.o
OBJS += CBoss.o
OBJS += CCollision.o CCutscene.o  CConfig.o
OBJS += CData.o 
OBJS += CEffect.o CEngine.o CEntity.o 
OBJS += CFileData.o 
OBJS += CGame.o CGameData.o CGameObject.o CGraphics.o
OBJS += CHub.o 
OBJS += CKeyboard.o 
OBJS += CJoystick.o 
OBJS += CLineDef.o
OBJS += CList.o
OBJS += CMap.o CMath.o CMedalServer.o
OBJS += CObjective.o
OBJS += CPak.o CParticle.o CPersistant.o CPersistData.o
OBJS += CRadarBlip.o CReplayData.o
OBJS += CSpawnPoint.o CSprite.o CSwitch.o
OBJS += CTeleporter.o CTrain.o CTrap.o
OBJS += CWeapon.o CWidget.o

OBJS += aquaBoss.o
OBJS += bosses.o bullets.o 
OBJS += cutscene.o
OBJS += droidBoss.o 
OBJS += effects.o enemies.o entities.o explosions.o 
OBJS += finalBattle.o 
OBJS += galdov.o game.o graphics.o 
OBJS += hub.o 
OBJS += info.o init.o intro.o items.o 
OBJS += lineDefs.o loadSave.o
OBJS += map.o mapData.o mias.o mission.o
OBJS += objectives.o obstacles.o options.o
OBJS += particles.o player.o 
OBJS += resources.o 
OBJS += spawnPoints.o switches.o 
OBJS += tankBoss.o teleporters.o title.o trains.o traps.o triggers.o 
OBJS += weapons.o widgets.o

GAMEOBJS = $(OBJS) main.o
MAPOBJS = $(OBJS) mapEditor.o
PAKOBJS = CFileData.o pak.o

LOCALE_MO = $(patsubst %.po,%.mo,$(wildcard locale/*.po))

ALL = $(PROG) $(LOCALE_MO)
ifeq ($(USEPAK), 1)
	ALL += $(PAKNAME)
endif

# top-level rule to create the program.
all: $(ALL)

# compiling other source files.
%.o: src/%.cpp src/%.h src/defs.h src/defines.h src/headers.h
	$(CXX) $(CXXFLAGS) -c $<

# linking the program.
$(PROG): $(GAMEOBJS)
	$(CXX) $(LDFLAGS) $(GAMEOBJS) -o $(PROG) $(LIBS)
	
pak: $(PAKOBJS)
	$(CXX) $(LDFLAGS) $(PAKOBJS) -o pak $(PAKLIBS)

%.mo: %.po
	msgfmt -c -o $@ $<

mapeditor: $(MAPOBJS)
	$(CXX) $(LDFLAGS) $(MAPOBJS) -o mapeditor $(LIBS)

# cleaning everything that can be automatically recreated with "make".
clean:
	$(RM) $(GAMEOBJS) mapEditor.o pak.o $(PROG) $(PAKNAME) pak mapeditor $(LOCALE_MO)
	
$(PAKNAME): pak
	./pak $(DATA) $(PAKNAME)

buildpak: $(PAKNAME)

# install
install: $(ALL)
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DATADIR)
	mkdir -p $(DESTDIR)$(DOCDIR)
	mkdir -p $(DESTDIR)$(ICONDIR)16x16/apps
	mkdir -p $(DESTDIR)$(ICONDIR)32x32/apps
	mkdir -p $(DESTDIR)$(ICONDIR)48x48/apps
	mkdir -p $(DESTDIR)$(ICONDIR)64x64/apps
	mkdir -p $(DESTDIR)$(DESKTOPDIR)

	install -m 755 $(PROG) $(DESTDIR)$(BINDIR)$(PROG)
ifeq ($(USEPAK), 1)
	install -m 644 $(PAKNAME) $(DESTDIR)$(DATADIR)$(PAKNAME)
else
	cp -pr $(DATA) $(DESTDIR)$(DATADIR)
endif
	cp -p $(DOCS) $(DESTDIR)$(DOCDIR)
	cp -p $(ICONS)$(PROG)16x16.png $(DESTDIR)$(ICONDIR)16x16/apps/$(PROG).png
	cp -p $(ICONS)$(PROG)32x32.png $(DESTDIR)$(ICONDIR)32x32/apps/$(PROG).png
	cp -p $(ICONS)$(PROG)48x48.png $(DESTDIR)$(ICONDIR)48x48/apps/$(PROG).png
	cp -p $(ICONS)$(PROG)64x64.png $(DESTDIR)$(ICONDIR)64x64/apps/$(PROG).png
	cp -p $(ICONS)$(PROG).desktop $(DESTDIR)$(DESKTOPDIR)

	@for f in $(LOCALE_MO); do \
		lang=`echo $$f | sed -e 's/^locale\///;s/\.mo$$//'`; \
		mkdir -p $(DESTDIR)$(LOCALEDIR)$$lang/LC_MESSAGES; \
		echo "cp $$f $(DESTDIR)$(LOCALEDIR)$$lang/LC_MESSAGES/$(PROG).mo"; \
		cp $$f $(DESTDIR)$(LOCALEDIR)$$lang/LC_MESSAGES/$(PROG).mo; \
	done

uninstall:
	$(RM) $(BINDIR)$(PROG)
	$(RM) $(DATADIR)$(PAKNAME)
	$(RM) -r $(DOCDIR)
	$(RM) $(ICONDIR)$(ICONS)$(PROG).png
	$(RM) $(ICONDIR)16x16/apps/$(PROG).png
	$(RM) $(ICONDIR)32x32/apps/$(PROG).png
	$(RM) $(ICONDIR)64x64/apps/$(PROG).png
	$(RM) $(DESKTOPDIR)$(PROG).desktop

	@for f in $(LOCALE_MO); do \
		lang=`echo $$f | sed -e 's/^locale\///;s/\.mo$$//'`; \
		echo "$(RM) $(LOCALEDIR)$$lang/LC_MESSAGES/$(PROG).mo"; \
		$(RM) $(LOCALEDIR)$$lang/LC_MESSAGES/$(PROG).mo; \
	done

.PHONY: all install uninstall clean buildpak

## blobwars 0.1armel-1

=== debian/changelog ===
blobwars (0.1armel-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 17:08:39 -0300

=== debian/control ===
Source: blobwars
Section: user/system
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: blobwars
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Blob Wars: Metal Blob Solid.
 Another platform game.
XSBC-Bugtracker: mailto:cepiperez@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEQAACxEBf2RfkQAAAAd0
 SU1FB9oEDBMsKNLDUuwAAAwMSURBVGje7ZlrjF3Vdcd/a+/zvI95v21eExxb
 xh7AYEgGSkuTkihJRVDUJJWQSGpMSCtK82irVmpVpShpmgJ1qVQk6rYSEu0X
 ikqlNEQlpIRSSgoSM6QFu7ZjjJ9je+7cmbn3ntde/XCuxwaHx5g26gcv6eie
 u/c59/7/67XX2hvOy3k5L+flzfK52z541tj226f/T/5L3svLt//KNH/5V8+u
 fP/CHdf5i0t51TMSxbEJPc/WrAdWzJIKiRE6gW+W/+hbT2Wn3rn7rhvY8cDT
 P30C2z7/AXb+9XMA3Pa5696/uNC5KcvctAhTlYp/SSW2lSj28DxAAZEWqvuK
 QmcUeTau2u/e+yff3wVw96/fwI4/e/qnQ+CrvzbN0abj4YefY9sdP9OTNtsP
 LS6mH2qn9Hu+MWFo8TwDBqwVNQh54QQFEUFVcU6dNWa+VveeHB+Ptv/hPd9r
 brt9mlrss+OBf/nfIXDL5CSP7d37E+duvXx9EGzo/XyRZg/mSUFhPIKKxSAU
 uUPSAi9VltKCZuZQVUIjYA0msognqANBias+fmzuzI5nOx/5pxfz1SrUe6uJ
 tryR29cnJ9cPiVw9r7phIdfreHXhxom0QHK0XajsK5RClQQIBUKEDCik1FIP
 kCvkKIkIoSeEVtQZI8ci8yCFfvL3JiefGITZQyLP/fGePcsA356c5GNvoch3
 dKGPT07eEcLHLhYZ3gwbPagsQtBRJQCqQAE0gTkgFykJABlwrDsuQF/32Vwh
 QSm62guAFuCAjSLap9p6WWTxMtVH7tm79yvvZAHz9g4mFwncHKtOx9AbQhAC
 gQi+CLZ7eafuu6D8Lgm/G7+c8YmUsYAIhQjavUeEHCSHSqg6Gop8+b7Jyb87
 ZxcCqIAtRE6BklOM/7v74pWnNKiK6c5p9/IAe8Zv2e68O0Wm66IdYLk7bgAR
 kRAoVKmITL0nApGqTYACIUCxCilQVfh74AdW+LQqF4mw34DzhLYIqtALmC4b
 07XGEkorVxwgTlk2wnGgcMowUBOIVowveKrhORO4dnKSNnhVEY4ZWK74NGoe
 Bz3F9hk+GgnfeanF/amwZsRnekNEHAheGw4tKi+33Qr4AjjcjQUB1MHciYSF
 RoZnhYnRiNDBa4XyvkxpJQWmUIqCHOBLv3wt9//tv6+OwJCILDu1YdWwUA/4
 9roqcydTYnFMDlpGa/DJ6So/mE04cCjliUbOpWsjgtjSShzGCSpnZApVRITl
 pZzjx1OS1FGvewwNBfhBGYpzwJwRQt/yqlMWmlnCHt4SPG9y0zfI+oEBI/CJ
 DLZKxTBQV/JUqUeGWigIimcNfT2WTIUTjZxj8zlprkQVD+0CLrErxggnT6bM
 zSU4p4yNhgwMBlhrymeRkqhTXOHoqNCq+/b6LRf8wwuzB0+s2oWcUxHB5omy
 fsyyadLjtROw1HF4RrFGiHzwjGFyIqBS9XjtUMLJ+QynMDgYnJHMhOPHUxqN
 jFrNY3QkREy5Kp+aP/NZgLwoaLV0oOK4Cdi16jR69RWRjWPT5xQuHTdMjVrG
 +kvQ1kIlFPprhjWDhpEeYaAiXLgmYs2aCGsF5/RMZWCtcMlFFdZOxIgRoLSQ
 nk6wb07hCM500nz607+01V81gUsno8rwoLfRKQz3eAyHwkAM1oAVIQygr1qW
 DnPzhsaSK90nsvT1+Ziuhk+5T1+fT+AbfE/IUqHIA1zhEE5b4uwsCP1Op9xC
 Ul2VCz369Q8wN5dGQSiTPooXCIEosQUj4MrViBd2JTz2bEKaF4gqUSSMjsZ4
 gTkrBkSETlqw/7UO7Y5DjOBZy8CApd5ztoIVqCMMwSUWoj1fnOJ9fzHz7izw
 qd99jnaHMBSpxCLMZ8KxjrKcKp6FVgZ7Duc88v1lkjwHFBWhnShzc+2V1PNm
 H5872qaduJW5LM85cjQh6RRngRdgHKiKVoZ9wp8E/m2DuICayRXnib465yS0
 SidT4tCwvwG79yV4BhQ5taiiKiSJkiaOMDSIlCuqiJAmjjRTjAHnTpNSFBZz
 iO1KvaHd4m9Q0MIgwxG1VcdAGAjWCrknHGw4WimM1Sxbxi3VWMBYbt4iRMEb
 fdjaskqox4aeisWuuBFcPCx8ZFN0BnjwFG6IyiLvzJppHKhTxpzoORRzPYal
 ioD4ImkOAzXDpkGD8YTeKqy/JOLHJ3yuXt+PNWX5oCj1muHiMZ+xfkMcgO8b
 FAgjw1Jm6RBjTUkgK5QPr4XD/R6ip+uoAeACBTGIs0Kjo0urIvDwH1yDJJoU
 ibbWDBmSTGllQuQJC5kSWGGkRxgcCXhx9zxJpuROuXDYcPN1da64yLKmTxiq
 C/UQ/K7Gw1rA87sXKJzDOaUawlxPyP7MrgCZAK7qutCihaVMW05Idt+5eXX9
 wI5bNvUd2JM8U18XXPa6b1kzEvDxdcKeJrw271BguC5UxPH60YyeSLh0IqLt
 lPm2o9GCk8twZMFxtKEsdlzpIk5pdwo8gXrNJy0Uh6IIa4CrgSFgTuEVA3XR
 H631uf6uf5xtrCqI98+008XUHRqpVC5bPyDsW3Dsalg6eZmJqgEMRYaKFSbW
 GQJjaOfgFDyBOBDqTkkyYbkDrQRyp4gRKhWPWmSohkKzpbTSktB6YKyr1f0C
 +1W5xpeZTYO6vOoY8FRFBW9/23DhgCUyjn3zjsVEcU7wLYQWPANpDq0cUqc4
 FYyB0FNqoVCPoRYLgX/6r1S1XBANZfx0/X6oO38c2AtURNyGHn32xr+ZzVZN
 QEAKxRaeIVGrg5GiKiy0hTRX0gycOkILgSdlP+wgKxxOy0wUWCUOhGoAlUAw
 mJWMZYyQFZDmDgOMdjU/B7wCLKlyZYX5LePyxDn1A0ZEUjS8csTMzmX+5vUj
 hR5OkKVcQMFaZTFRWpnSySDJIXVljjddzZadohIGQk8MhTO00xKoc0qjraS5
 IxChDzgCHACOK7rRE/n5UX1y3b2zu8+pJ85BnC/1H7+8uD30DEN9gWwYEkZq
 grGCimG8ZugLhcBC5pSFlnK4oew/DgdOKCeXlSQDT5TBunDxiLBuzDI6YPEt
 pHlZyvUDCfBfwH6FMaNy61plqFe2Azz1q1Ort0AOFCLBMy+0Dl7z4fzOHzXM
 gxdVhZGKkjoh9pShwDDsK/MxHEmUXSccJ5bhyHyBijBYFWqRICLEgVLxBYxw
 bFHJc1lJg4PA693MM2KVz44LG/v0zuo3Z5qvfGmKDffPrN4ChaqgGg0P+f5n
 JoudseaPv3QYFhJ0KFYuqINvldgIF0bC1l7DteOW8V7InbCwpMw1lblFpdFS
 shzElEHvmfJepNR+AzihEKP6iTHh2lEer9TZmfzW24N/WwIZNB1cCxyQzz6f
 T6/Vbf2RHji8KNLJ0MKVmedIrhxIlJO5ElqY6DX01gQx0M6VZsvRWFaaHehk
 kBZQdLcmIt+QISwojHuqPzsucuUQB4JAt8nvz+a738U+3Vu60DHQR/fuPQTw
 rzu2sn7788f/c+c1lx9s8JITe0Hdc/hGyZ3QKqCtSqe7DddfgcZS2dQ4FbJC
 aadCkmu3wCuDvBIoy2qYkIJrxkQm6hzIlMvla7Pz7d+ZIv7GzDsSeEsLPHrG
 dt51d/+Qf75vKxu3PT9/cU22bOnh8U29lhFfiIyqA5ZyoZkpSa4EHmW72e24
 8wLaqbLcgWYb2mlZ81hPFFWuGoGpPh6PhS2b752Z/48vb35X4Fe9O/30n27l
 ht/4Ic0Hr7ILfnx7n3UP5nnO3jYc68B8x3FsUTnahLmmoyiUdgatjmCtUo3K
 llS1TLELLcfP1R2fGdU7+yvstF+bzb9z9xQf3THzrjGd0/nA7oeuZ932Z/jG
 PTf2bIk7DzU7+YcWU9d/cF7NQguSrCwpIl+0lSonl1QKV668nlUCT1yWMz/i
 iidvndDtW/58trn01SkWHKy5b2ZVWM75gOPRe2/gU18pDyW+cNtV7+8N9aZm
 S6ezQqdCz1xSCahEgdDJlJNLSjvRFo59TphxwrMnmvrd7z350i6AF++aYssD
 M+eE4z0dMX3rtz/Ib37z3063or94hd9XoRqHJgp9QueoLbSV5USXOolLvIzO
 Uu6Wn3jq5ZXa5paPTPHYEzP8v5Iv3nrlWWM3/cLm86ef5+W8nJez5X8AgId6
 hswqZMMAAAAASUVORK5CYII

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#docbook-to-man debian/blobwars.sgml > blobwars.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	make clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/blobwars.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/blobwars install
	cp -rf $(CURDIR)/data* $(CURDIR)/debian/blobwars/opt/blobwars/
	cp -rf $(CURDIR)/gfx* $(CURDIR)/debian/blobwars/opt/blobwars/
	cp -rf $(CURDIR)/music* $(CURDIR)/debian/blobwars/opt/blobwars/
	cp -rf $(CURDIR)/sound* $(CURDIR)/debian/blobwars/opt/blobwars/
	cp $(CURDIR)/debian/install/blobwars.sh $(CURDIR)/debian/blobwars/usr/bin/blobwars
	cp $(CURDIR)/debian/install/blobwars.desktop $(CURDIR)/debian/blobwars/usr/share/applications/hildon/blobwars.desktop
	cp $(CURDIR)/debian/install/blobwars-48.png $(CURDIR)/debian/blobwars/usr/share/icons/hicolor/48x48/hildon/blobwars.png
	cp $(CURDIR)/debian/install/blobwars.png $(CURDIR)/debian/blobwars/usr/share/icons/hicolor/64x64/hildon/blobwars.png
	cp $(CURDIR)/blobwars $(CURDIR)/debian/blobwars/opt/blobwars/blobwars



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	cp $(CURDIR)/debian/install/prerm $(CURDIR)/debian/blobwars/DEBIAN/prerm
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## blobwars 0.2armel-1

=== debian/changelog ===
blobwars (0.2armel-1) unstable; urgency=low

  * Some fixes

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 17:08:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: blobwars
-Section: user/system
+Section: user/games
 Priority: extra
 Maintainer: CepiPerez <cepiperez@gmail.com>
 Build-Depends: libsdl1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, debhelper (>= 5)

## blobwars 1.08-maemo1

=== debian/changelog ===
blobwars (1.08-maemo1) unstable; urgency=low

  * First maemo release, base package taken from Debian 
  * Required key press in license screen changed to return
  * added putenv("SDL_VIDEO_X11_WMCLASS=blobwars"); to init
  * .desktop file location changed

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Mon, 21 Jul 2008 04:35:45 +0300

blobwars (1.08-1) unstable; urgency=low

  * New upstream release.
  * Call dh_desktop and dh_icons in debian/rules. Closes: #448066
  * Fix NAME section in manpage.

 -- Guus Sliepen <guus@debian.org>  Sat, 16 Feb 2008 13:05:45 +0100

blobwars (1.07-2) unstable; urgency=low

  * Correct spelling of "weaponry". Closes: #434328
  * Fix all g++-4.2 warnings.
  * Update desktop and menu files.

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 14:43:27 +0200

blobwars (1.07-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 09 May 2007 23:09:38 +0200

blobwars (1.06-2-2) unstable; urgency=low

  * Update debian/copyright. Closes: #420276
    - Mention the names of all main authors.
    - Include license headers instead of just a reference to a license file.
    - Include the license statements for the Bitstream Vera font and the music
      and sound used in this package.
  * Update Catalan and Dutch translations. Closes: #415174

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Apr 2007 13:58:29 +0200

blobwars (1.06-2-1) unstable; urgency=low

  * New upstream release. All patches from the previous Debian versions have
    been applied by upstream. Thanks to all patch submitters and to Parallel
    Realities :)

 -- Guus Sliepen <guus@debian.org>  Sat, 14 Apr 2007 13:15:49 +0200

blobwars (1.05-6) unstable; urgency=low

  * Apply patch from Javier Serrano Polo fixing multiple issues:
    - Fix behaviour of decorative tiles in certain maps.
      Closes: #299145, #405854
    - Fix item placement with tall objects. Related to #329152.
    - Fix MIA placement on lift while moving around. Closes: #361905
    - Sometimes killing a boss doesn't complete the objective. Closes: #362661
    Closes: #415649
  * Apply patch from Javier Serrano Polo fixing the Forgotten Caves map in
    easy mode. Partially fixes #415647.
  * Apply patch from Javier Serrano Polo removing the possibility to disable
    auto save. Closes: #415172
  * Apply patch from Javier Serrano Polo adding i18n support. Closes: #415173
  * Add Catalan translation provided by Javier Serrano Polo. Closes: #415174
  * Apply patch from Javier Serrano Polo fixing several spelling issues and a
    too long level description.
    Closes: #361751, #361880, #362497, #362660, #361735
  * Add Dutch translation.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Apr 2007 12:11:16 +0200

blobwars (1.05-5) unstable; urgency=low

  * Honour CFLAGS when building the binary. Closes: #411102
  * Applied patch from Javier Serrano Polo fixing loading savegames after
    completing the training mission. Closes: #337731
  * Applied patch from Javier Serrano Polo preventing the player from getting
    stuck in the pit in Flooded Tunnel #2. Closes: #288680
  * Add a link to the homepage to the package description.

 -- Guus Sliepen <guus@debian.org>  Tue, 20 Feb 2007 22:18:39 +0100

blobwars (1.05-4) unstable; urgency=low

  * Fix .desktop file. Closes: #402167
  * Add menu entry. Closes: #401193

 -- Guus Sliepen <guus@debian.org>  Sat,  9 Dec 2006 15:09:17 +0100

blobwars (1.05-3) unstable; urgency=low

  * Package adopted from Ondřej Surý.
  * Replace busyloops with calls to SDL_Delay(), to prevent blobwars
    from using 100% CPU unnecessarily. Closes: #366030
  * Add manpage provided by Jordà Polo. Closes: #288816
  * Make sure "make clean" really cleans everything.
  * Changed from CDBS to debhelper.
  * Updated Standards-Version and debhelper compatibility level.

 -- Guus Sliepen <guus@debian.org>  Thu, 16 Nov 2006 12:13:50 +0100

blobwars (1.05-2) unstable; urgency=low

  * 02_ftbfs-gcc4.1-fix.patch
    - Fix FTBFS with GCC 4.1 (Closes: #355988)
  * 04_desktop_dir.patch: (Courtesy of Ubuntu)
    - install .desktop file in /usr/share/applications/ (Closes: #349358)
    - install .png files in /usr/share/icons/hicolo/*x*/apps/

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Mar 2006 11:38:00 +0100

blobwars (1.05-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Jul 2005 09:27:33 +0200

blobwars (1.04-1) unstable; urgency=low

  * New upstream version. (Closes: #306511)

 -- Ondřej Surý <ondrej@sury.org>  Wed, 27 Apr 2005 08:47:45 +0200

blobwars (1.03-1) unstable; urgency=low

  * New upstream version.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 15 Apr 2005 10:23:02 +0200

blobwars (1.02-1) unstable; urgency=low

  * New upstream release
  * Fixes crash in uncharted cavern (Closes: #289898)
  * Disable debug (Closes: #283789)
  * Entering key configuration menu no longer enables cheat menu (Closes: #283791)

 -- Ondřej Surý <ondrej@sury.org>  Tue, 18 Jan 2005 09:17:52 +0100

blobwars (1.0-1) unstable; urgency=low

  * New upstream *final* release (Closes: #284153)
   + Further releases will be only bugfix.
   + Please note, that compatibility to < 0.98 save games is not retained.

 -- Ondřej Surý <ondrej@sury.org>  Fri, 31 Dec 2004 16:40:17 +0100

blobwars (0.98.1-1) unstable; urgency=low

  * New upstream release.  (Closes: #283344)
  * Several patches merged upstream.

 -- Ondřej Surý <ondrej@sury.org>  Sun, 28 Nov 2004 18:26:52 +0100

blobwars (0.95.1-1) unstable; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@sury.org>  Wed, 13 Oct 2004 13:55:11 +0200

blobwars (0.94.1-1) unstable; urgency=low

  * New upstream release. (Closes: #269552, #273949, #244553)

 -- Ondřej Surý <ondrej@sury.org>  Wed,  6 Oct 2004 10:49:37 +0200

blobwars (0.92-1) unstable; urgency=low

  * New upstream release. (Closes: #246677, #246658, #270727, #270575, #271389)

 -- Ondřej Surý <ondrej@sury.org>  Sun, 26 Sep 2004 10:00:38 +0200



=== debian/control ===
Source: blobwars
Section: user/games
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.3
Homepage: http://www.parallelrealities.co.uk/blobWars.php

Package: blobwars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A platform shooting game
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 . 
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE)
	#docbook-to-man debian/blobwars.sgml > blobwars.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/blobwars.
	$(MAKE) DESTDIR=$(CURDIR)/debian/blobwars install
	rm debian/blobwars/usr/share/doc/blobwars/LICENSE
	mkdir -p debian/blobwars/usr/share/pixmaps/
	cp debian/blobwars.xpm debian/blobwars/usr/share/pixmaps/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/CHANGES
	dh_installdocs
	dh_desktop
#	dh_icons
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/blobwars.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## blobwars 1.19

=== debian/changelog ===
blobwars (1.19-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
   - debian/patches/ftbfs_return_value_chdir.patch:
    + Patch from upstream git to fix FTBFS.
   - debian/patches/ftbfs_as_needed.patch:
    + Fix order of arguments to correctly link with ld --as-needed

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 26 Jul 2012 16:53:27 -0400

blobwars (1.19-2) unstable; urgency=low

  * Bump Standards-Version.
  * Build-depend on zlib1g-dev Closes: #669455
  * Provide build-arch and build-indep targets in debian/rules.
    Closes: #648312

 -- Guus Sliepen <guus@debian.org>  Tue, 08 May 2012 17:24:09 +0200

blobwars (1.19-1ubuntu1) oneiric; urgency=low

  * debian/patches/ftbfs_return_value_chdir.patch: (LP: #718573)
    - patch from upstream git to fix FTBFS.
  * debian/patches/ftbfs_as_needed.patch:
    - fix order of arguments to correctly link with ld --as-needed

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 19 Jun 2011 19:43:41 +0000

blobwars (1.19-1) unstable; urgency=low

  * New upstream release.
  * Add watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 17 Apr 2011 17:06:31 +0200

blobwars (1.18-1) unstable; urgency=low

  * New upstream release. Closes: #590430
    - Fixed crashes in boss battles. Closes: #526428
    - Ensures Bob cannot get the jetpack too early. Closes: #553341
    - Has new, DFSG-compliant music and sounds. Closes: #612492
  * Update homepage URL. Closes: #575800
  * Convert source package to 3.0 (quilt).
  * Convert copyright file to DEP-5 format to retain some sanity.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sun, 13 Feb 2011 20:33:27 +0100

blobwars (1.14-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Do not show trigger areas. Closes: #524653
  * Perform a sanity check when loading keyboard.cfg. Closes: #471378
  * Do not Suggest blobwars-data-nonfree anymore, and update README.Debian;
    since there is no (clear) copyright information for most of the music
    and sound, it is not distributable at all. Closes: #515541
  * Bump Standards-Version.
  * Add lintian overrides for the translated copyright files displayed
    in-game.

 -- Guus Sliepen <guus@debian.org>  Sun, 26 Jul 2009 16:47:21 +0200

blobwars (1.11-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use DejaVu font from the ttf-dejavu-core package, since the
    ttf-bitstream-vera package is being removed. Closes: #516593

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Mar 2009 17:05:41 +0100

blobwars (1.10-dfsg-1) unstable; urgency=low

  * New upstream release.
  * Use Vera font from the ttf-bitstream-vera package.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Feb 2009 23:08:23 +0100

blobwars (1.08-dfsg-1) unstable; urgency=low

  * Remove all music and sound files from the upstream tarball, as they are
    not DFSG compliant. Closes: #495484
  * Do not put all data files in one PAK file anymore.
  * Put the other data files into a blobwars-data package. Closes: #288173
  * Ignore missing sound and music files.

 -- Guus Sliepen <guus@debian.org>  Sat, 30 Aug 2008 22:58:49 +0200

=== debian/control ===
Source: blobwars
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 7.0.0), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, libsdl-net1.2-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://blobwars.sourceforge.net/

Package: blobwars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blobwars-data (= ${source:Version})
Description: platform shooting game
 Blob Wars: Metal Blob Solid is a 2D platform game. It is the first in the Blob
 Wars series.
 .
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 . 
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.

Package: blobwars-data
Architecture: all
Depends: ${misc:Depends}, ttf-dejavu-core
Conflicts: blobwars (<< 1.08-dfsg-1)
Replaces: blobwars (<< 1.08-dfsg-1)
Description: platform shooting game
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 . 
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.
 .
 This package contains the maps, graphics, music and sound for blobwars.

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 
 
-CFLAGS = -Wall -g
+CXXFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CXXFLAGS += -O0
 else
-	CFLAGS += -O2
+	CXXFLAGS += -O2
 endif
 
 configure: configure-stamp
@@ -28,13 +28,15 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
 
 	# Add here commands to compile the package.
-	CFLAGS="$(CFLAGS)" $(MAKE)
+	CXXFLAGS="$(CXXFLAGS)" $(MAKE) RELEASE=1
 	#docbook-to-man debian/blobwars.sgml > blobwars.1
 
 	touch $@
@@ -52,14 +54,18 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/blobwars.
-	$(MAKE) DESTDIR=$(CURDIR)/debian/blobwars install
-	rm debian/blobwars/usr/share/doc/blobwars/LICENSE
-	mkdir -p debian/blobwars/usr/share/pixmaps/
-	cp debian/blobwars.xpm debian/blobwars/usr/share/pixmaps/
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	rm -f debian/tmp/usr/share/games/blobwars/data/_vera.ttf
+	rm -f debian/tmp/usr/share/games/blobwars/data/vera.ttf
+	rm -f debian/tmp/usr/share/doc/blobwars/LICENSE
+	rm -f debian/tmp/usr/share/games/blobwars/gfx/sprites/recolor
+	chmod a-x debian/tmp/usr/share/games/blobwars/gfx/main/*
+	mkdir -p debian/tmp/usr/share/pixmaps/
+	cp debian/blobwars.xpm debian/tmp/usr/share/pixmaps/
 
 
 # Build architecture-independent files here.
@@ -70,13 +76,13 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs doc/CHANGES
+	dh_installchangelogs doc/changes
 	dh_installdocs
-	dh_desktop
-#	dh_icons
+	dh_icons
 	dh_installexamples
-#	dh_install
+	dh_install
 	dh_installmenu
+	dh_lintian
 #	dh_installdebconf	
 #	dh_installlogrotate
 #	dh_installemacsen

=== debian/watch ===
version=3
http://sf.net/blobwars/blobwars-(.+)\.tar\.gz

## blobwars 2.00

=== debian/changelog ===
blobwars (2.00-5) unstable; urgency=medium

  * QA upload.
  * Add 0004-fix-ftbfs-strlcat.patch to fix ftbfs issue. (Closes: #1071296)
  * Update d/copyright to fix lintian's warning: superfluous-file-pattern
    on sound/droid2 and sound/Lock?And?Load!!!.
  * Remove unused lintian override:
    blobwars-data: mismatched-override extra-license-file
  * Set debhelper-compat ( = 13).
  * Set std-ver to 4.7.0.
  * Drop debian/compat.
  * Add debian/not-installed to fix dh_missing error.
  * Update debian/copyright with machine readability.
  * Drop duplicate field "Comment" in paragraph number 5 on d/copyright
  * Add Rules-Requires-Root: no
  * Remove conflicts and replaces due to outdated version.
  * Add DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Remove the last blank line of the d/changelog.
  * Add Multi-Arch: foreign to blobwars-data.

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 26 May 2024 19:06:48 +0800

blobwars (2.00-4) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Ignore RELEASE environment variable from salsa CI.
  * Fix FTBFS with 64-bit time_t on 32-bit architectures.  (Closes: #1069463)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 19:08:57 +0200

blobwars (2.00-3) unstable; urgency=medium

  * QA upload.
  * debian/control: Change short-description of blobwars-data stanza.
  * debian/watch:
    - Replace some regex's to @TAGS@.
    - Update to version 4.

 -- Manoel Ibere Wiedmer Gomes <manoelwiedmer@gmail.com>  Tue, 12 Dec 2023 10:46:42 -0300

blobwars (2.00-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #963910)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 08:30:13 -0300

blobwars (2.00-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop menu file and its pixmap, as blobwars already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Sat, 12 Sep 2020 11:06:42 +0200

blobwars (2.00-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Olivier Tilloy ]
  * Change depends on ttf-dejavu-core to fonts-dejavu-core (Closes: #962210)

  [ Helmut Grohne ]
  * Fix FTCBFS by using build architecture pkg-config. (Closes: #895146)

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jun 2020 20:18:30 -0400

blobwars (2.00-1) unstable; urgency=medium

  * New upstream release.
    - Now uses SDL2.
  * Bump Standards-Version and debian/compat.
  * Update debian/copyright.

 -- Guus Sliepen <guus@debian.org>  Sun, 22 Nov 2015 00:11:35 +0100

=== debian/control ===
Source: blobwars
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev, libsdl2-net-dev, zlib1g-dev
Standards-Version: 4.7.0
Homepage: http://blobwars.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/blobwars
Vcs-Git: https://salsa.debian.org/debian/blobwars.git
Rules-Requires-Root: no

Package: blobwars
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, blobwars-data (= ${source:Version})
Description: platform shooting game
 Blob Wars: Metal Blob Solid is a 2D platform game. It is the first in the Blob
 Wars series.
 .
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 .
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.

Package: blobwars-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-dejavu-core
Description: platform shooting game (data)
 Since their world was invaded by an alien race, the Blobs have faced a
 lifetime of war. But now they have a chance to win the war once and for
 all.
 .
 In Blob Wars: Metal Blob Solid, you take on the role of a fearless Blob
 agent, Bob. Bob's mission is to infiltrate the various enemy bases around
 the Blobs' homeworld and rescue as many MIAs as possible. But standing in
 his way are many vicious aliens, other Blobs who have been assimilated and
 the evil alien leader, Galdov.
 .
 This package contains the maps, graphics, music and sound for blobwars.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
-include /usr/share/dpkg/buildtools.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f debian/tmp/usr/share/games/blobwars/gfx/sprites/recolor
